Agora RTC Objective-C API Reference Refactor

Optional< T > Class Template Reference

## Member Typedef Documentation

## ◆ value_type

typedef T value_type

## Constructor & Destructor Documentation

## ◆ Optional() [1/7]

CONSTEXPR Optional | ( |  | ) |
| inline

## ◆ Optional() [2/7]

CONSTEXPR Optional | ( | const Optional< T > & | other | ) |
| inline

## ◆ Optional() [3/7]

CONSTEXPR Optional | ( | nullopt_t |  | ) |
| inline

## ◆ Optional() [4/7]

Optional | ( | const Optional< U > & | other | ) |
| inline

## ◆ Optional() [5/7]

CONSTEXPR Optional | ( | in_place_t | ,
|  | const T & | _value
| ) |  |
| inlineexplicit

## ◆ Optional() [6/7]

CONSTEXPR Optional | ( | in_place_t | ,
|  | const U | il[],
|  | const T & | _value
| ) |  |
| inlineexplicit

## ◆ Optional() [7/7]

CONSTEXPR Optional | ( | const U & | value | ) |
| inline

## ◆ ~Optional()

~Optional | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/4]

Optional& operator= | ( | const Optional< T > & | other | ) |
| inline

## ◆ operator=() [2/4]

Optional& operator= | ( | nullopt_t |  | ) |
| inline

## ◆ operator=() [3/4]

Optional& operator= | ( | const U & | value | ) |
| inline

## ◆ operator=() [4/4]

Optional& operator= | ( | const Optional< U > & | other | ) |
| inline

## ◆ operator->() [1/2]

const T* operator-> | ( |  | ) | const
| inline

## ◆ operator->() [2/2]

T* operator-> | ( |  | ) |
| inline

## ◆ operator*() [1/2]

const T& operator* | ( |  | ) | const
| inline

## ◆ operator*() [2/2]

T& operator* | ( |  | ) |
| inline

## ◆ operator bool()

CONSTEXPR operator bool | ( |  | ) | const
| inline

## ◆ has_value()

CONSTEXPR bool has_value | ( |  | ) | const
| inline

## ◆ value()

const T& value | ( |  | ) | const
| inline

## ◆ value_or()

CONSTEXPR T value_or | ( | const U & | default_value | ) | const
| inline

## ◆ swap()

void swap | ( | Optional< T > & | other | ) |
| inline

## ◆ reset()

void reset | ( |  | ) |
| inline

## ◆ emplace() [1/2]

T& emplace | ( | const T & | _value | ) |
| inline

## ◆ emplace() [2/2]

T& emplace | ( | const U | il[],
|  | const T & | _value
| ) |  |
| inline